Bullet Collision Detection & Physics Library: btBroadphaseRayCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
btBroadphaseRayCallback Struct Reference

`#include <btBroadphaseInterface.h>`

Inheritance diagram for btBroadphaseRayCallback:
[legend]
Collaboration diagram for btBroadphaseRayCallback:
[legend]

## Public Member Functions
virtual | ~btBroadphaseRayCallback ()
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()
virtual bool | process (const btBroadphaseProxy *proxy)=0

## Public Attributes
btVector3 | m_rayDirectionInverse
| added some cached data to accelerate ray-AABB tests
unsigned int | m_signs [3]
btScalar | m_lambda_max

## Protected Member Functions
| btBroadphaseRayCallback ()

## Detailed Description

Definition at line 31 of file btBroadphaseInterface.h.

## Constructor & Destructor Documentation

## ◆ ~btBroadphaseRayCallback()

virtual btBroadphaseRayCallback::~btBroadphaseRayCallback | ( |  | ) |
| inlinevirtual

Definition at line 38 of file btBroadphaseInterface.h.

## ◆ btBroadphaseRayCallback()

btBroadphaseRayCallback::btBroadphaseRayCallback | ( |  | ) |
| inlineprotected

Definition at line 41 of file btBroadphaseInterface.h.

## Member Data Documentation

## ◆ m_lambda_max

btScalar btBroadphaseRayCallback::m_lambda_max

Definition at line 36 of file btBroadphaseInterface.h.

## ◆ m_rayDirectionInverse

btVector3 btBroadphaseRayCallback::m_rayDirectionInverse

added some cached data to accelerate ray-AABB tests

Definition at line 34 of file btBroadphaseInterface.h.

## ◆ m_signs

unsigned int btBroadphaseRayCallback::m_signs[3]

Definition at line 35 of file btBroadphaseInterface.h.

The documentation for this struct was generated from the following file:

- btBroadphaseInterface.h